com.smartgwt.client.util

## Class I18nUtil

- java.lang.Object
- - com.smartgwt.client.util.I18nUtil

-     public class I18nUtil
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I18nUtil()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `formatLocaleCurrency(java.lang.Object value)`
    `static java.lang.String` | `formatLocaleFloat(java.lang.Object value, java.lang.Object precision)`
    `static java.lang.String` | `formatLocaleInt(java.lang.Object value)`
    `static java.lang.String` | `getLocaleCurrencySymbol()`
    `static java.lang.String` | `getLocaleDecimalSymbol()`
    `static java.lang.String` | `getLocaleGroupingSymbol()`
    `static java.lang.String` | `getLocaleNegativeSymbol()`
    `static void` | `init()` Setup SmartGWT i18n.
    `static void` | `initMessages(SmartGwtMessages messages)` Initialize Smart GWT with i18n translations.
    `static double` | `parseNum(java.lang.String string)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I18nUtil

          public I18nUtil()

  - ### Method Detail

    - #### init

          public static void init()

      Setup SmartGWT i18n.

    - #### formatLocaleInt

          public static java.lang.String formatLocaleInt(java.lang.Object value)

    - #### formatLocaleFloat

          public static java.lang.String formatLocaleFloat(java.lang.Object value,
                                           java.lang.Object precision)

    - #### formatLocaleCurrency

          public static java.lang.String formatLocaleCurrency(java.lang.Object value)

    - #### getLocaleCurrencySymbol

          public static java.lang.String getLocaleCurrencySymbol()

    - #### getLocaleDecimalSymbol

          public static java.lang.String getLocaleDecimalSymbol()

    - #### getLocaleGroupingSymbol

          public static java.lang.String getLocaleGroupingSymbol()

    - #### getLocaleNegativeSymbol

          public static java.lang.String getLocaleNegativeSymbol()

    - #### parseNum

          public static double parseNum(java.lang.String string)

    - #### initMessages

          public static void initMessages(SmartGwtMessages messages)

      Initialize Smart GWT with i18n translations.
      Parameters:
        `messages` - the SmartGWT messages